<template>
  <div class="NotFound">
    <v-container>
      <v-layout row wrap>
        <v-flex xs12>
          <v-card height="400" color="transparent" flat>
            <div class="display-3 mt-5">
              Permiso denegado
            </div>
            <div class="grey--text lighten-5">
              La cita ingresada no se encuentra habilitada.
            </div>
            <div class="paragraph-text mt-2 mb-5">
              <br>Se ha ingresado en un rango de tiempo diferente al horario pactado para la cita.
            </div>
            <div class="mt-1 mb-1">
              <strong>Fecha de la cita:</strong>   {{ datesError.date }}
            </div>
            <div class="mt-1 mb-1">
              <strong>Hora Inicio:</strong>        {{ datesError.initHour }}
            </div>
            <div class="mt-1 mb-1">
              <strong>Hora Fin:</strong>           {{ datesError.endHour }}
            </div>
          </v-card>
        </v-flex>
      </v-layout>
    </v-container>
  </div>
</template>

<script>
import { mapState } from 'vuex';
export default {
  computed: {
    ...mapState({
      datesError: state => state.videocalling.datesError,
    }),
  },
};
</script>

<style>
  .paragraph-text {
    font-size: 18px;

  }
</style>
